Index: uKadecot/trunk/csp/ukadecot/cfg/cfg.mtsp
===================================================================
--- uKadecot/trunk/csp/ukadecot/cfg/cfg.mtsp	(revision 248)
+++ uKadecot/trunk/csp/ukadecot/cfg/cfg.mtsp	(revision 262)
@@ -1,8 +1,8 @@
 <CubeSuiteProject>
-  <ProductVersion>4.02.00.00</ProductVersion>
+  <ProductVersion>6.00.00.00</ProductVersion>
   <Class Guid="68f4a651-b9cd-473b-a595-b00447132ffa">
     <Instance Guid="00000000-0000-0000-0000-000000000000">
       <FormatVersion>2.0</FormatVersion>
-      <FileVersion>4.2</FileVersion>
+      <FileVersion>6.0</FileVersion>
       <ProjectGuid>7a554b30-602c-45a8-8757-edc7ca566583</ProjectGuid>
       <ProjectItemGuid>cbfe3e66-1679-4067-a2f3-6ff158c5f23c</ProjectItemGuid>
@@ -21,4 +21,5 @@
   <Class Guid="fb98844b-2c27-4275-9804-f6e63e204da0">
     <Instance Guid="2a349cb6-b982-4ade-adcd-104b883ad81c">
+      <UseStandardLicenseOnly>True</UseStandardLicenseOnly>
       <MemoCount>0</MemoCount>
     </Instance>
@@ -32,4 +33,5 @@
     <Instance Guid="00000000-0000-0000-0000-000000000000">
       <UsingPlatformGuid>500ba51a-4219-4828-b4be-80f54d6d3551</UsingPlatformGuid>
+      <UsingPlatformTypeGuid>f96683fa-8de4-4c6d-a1ab-925d7f232c09</UsingPlatformTypeGuid>
     </Instance>
   </Class>
@@ -61,5 +63,5 @@
   <Class Guid="3a79707d-5977-45f7-ac11-19c35e333132">
     <Instance Guid="3a79707d-5977-45f7-ac11-19c35e333132">
-      <DataFormatVersion>1.2</DataFormatVersion>
+      <DataFormatVersion>1.3</DataFormatVersion>
       <BuildModeCount>1</BuildModeCount>
       <BuildMode0>RABlAGYAYQB1AGwAdABCAHUAaQBsAGQA</BuildMode0>
@@ -89,14 +91,15 @@
 
 0</CompilerVersion-DefaultValue>
-      <DependencyFileExistCheckingType-DefaultValue>Rebuild</DependencyFileExistCheckingType-DefaultValue>
       <FormatBuildOptionList-DefaultValue>%TargetFiles% : %Program% %Options%</FormatBuildOptionList-DefaultValue>
       <GeneralOptionCpu-DefaultValue>RX600</GeneralOptionCpu-DefaultValue>
+      <GeneralOptionEnableParallelBuilding-DefaultValue>False</GeneralOptionEnableParallelBuilding-DefaultValue>
       <GeneralOptionOutputFolder-DefaultValue>%BuildModeName%</GeneralOptionOutputFolder-DefaultValue>
       <GeneralOptionPid-DefaultValue>None</GeneralOptionPid-DefaultValue>
       <HexOptionForm-DefaultValue>Stype</HexOptionForm-DefaultValue>
       <LinkOptionDebug-DefaultValue>Debug</LinkOptionDebug-DefaultValue>
+      <SetAllBuildModeValue-DefaultValue>False</SetAllBuildModeValue-DefaultValue>
       <AsmOptionDefine-DefaultValue />
       <COptionDefine-DefaultValue />
-      <EnsureCompatibilityOfPathAndLinkageOrder-DefaultValue>False</EnsureCompatibilityOfPathAndLinkageOrder-DefaultValue>
+      <DependencyFileExistCheckingType-DefaultValue>Rebuild</DependencyFileExistCheckingType-DefaultValue>
       <GeneralOptionFpu-DefaultValue>Auto</GeneralOptionFpu-DefaultValue>
       <GeneralOptionNousePidRegister-DefaultValue>True</GeneralOptionNousePidRegister-DefaultValue>
@@ -105,4 +108,5 @@
       <AsmOptionDebug-DefaultValue>True</AsmOptionDebug-DefaultValue>
       <COptionDebug-DefaultValue>True</COptionDebug-DefaultValue>
+      <EnsureCompatibilityOfPathAndLinkageOrder-DefaultValue>False</EnsureCompatibilityOfPathAndLinkageOrder-DefaultValue>
       <GeneralOptionEndian-DefaultValue>Little</GeneralOptionEndian-DefaultValue>
       <LinkOptionConvertFileName-DefaultValue>%ProjectName%.mot</LinkOptionConvertFileName-DefaultValue>
@@ -150,9 +154,10 @@
       <GeneralOptionSaveAcc-DefaultValue>False</GeneralOptionSaveAcc-DefaultValue>
       <IsLockedByUser>False</IsLockedByUser>
-      <TimeTagModified--0>-8587473084430197473</TimeTagModified--0>
+      <TimeTagModified--0>-8587221713799779518</TimeTagModified--0>
       <BuildMode-0>DefaultBuild</BuildMode-0>
       <Memo-0 />
       <OutputMessageFormat-0>%TargetFiles%</OutputMessageFormat-0>
       <FormatBuildOptionList-0>%TargetFiles% : %Program% %Options%</FormatBuildOptionList-0>
+      <SetAllBuildModeValue-0>False</SetAllBuildModeValue-0>
       <PreBuildCommands-0>if exist "%OutputDir%\%ProjectName%.syms" del "%OutputDir%\%ProjectName%.syms"
 ..\..\..\ssp\cfg\cfg\cfg.exe --pass 1 --kernel ssp --api-table ..\..\..\ssp\kernel\ssp_kernel_api.csv --api-table ..\..\..\ecnl_ssp\echonet_api.csv --cfg1-def-table ..\..\..\ssp\kernel\ssp_kernel_def.csv --cfg1-def-table ..\..\..\ssp\syssvc\syssvc_def.csv --cfg1-def-table ..\..\..\ssp\arch\rx630_ccrx\prc_def.csv --cfg1-def-table ..\..\..\ssp\target\grsakura_ccrx\target_def.csv --cfg1-def-table ..\..\..\ecnl_ssp\echonet_def.csv -I ..\..\..\ssp -I ..\..\..\ssp\arch -I ..\..\..\ssp\include -I ..\..\..\ssp\target\grsakura_ccrx -I ..\..\..\uip\task -I ..\..\..\uip\target\if_rx62n -I ..\..\..\pfatfs -I ..\..\..\ecnl_ssp -I ..\..\..\src\ukadecot ..\..\..\src\ukadecot\main.cfg
@@ -174,12 +179,13 @@
 
 0</CompilerVersion-0>
-      <DependencyFileExistCheckingType-0>Rebuild</DependencyFileExistCheckingType-0>
       <GeneralOptionCpu-0>RX600</GeneralOptionCpu-0>
+      <GeneralOptionEnableParallelBuilding-0>False</GeneralOptionEnableParallelBuilding-0>
       <GeneralOptionOutputFolder-0>%BuildModeName%</GeneralOptionOutputFolder-0>
       <GeneralOptionPid-0>None</GeneralOptionPid-0>
-      <EnsureCompatibilityOfPathAndLinkageOrder-0>False</EnsureCompatibilityOfPathAndLinkageOrder-0>
+      <DependencyFileExistCheckingType-0>Rebuild</DependencyFileExistCheckingType-0>
       <GeneralOptionFpu-0>Fpu</GeneralOptionFpu-0>
       <GeneralOptionNousePidRegister-0>True</GeneralOptionNousePidRegister-0>
       <LinkOptionConvertFolder-0>%BuildModeName%</LinkOptionConvertFolder-0>
+      <EnsureCompatibilityOfPathAndLinkageOrder-0>False</EnsureCompatibilityOfPathAndLinkageOrder-0>
       <GeneralOptionEndian-0>Little</GeneralOptionEndian-0>
       <LinkOptionConvertFileName-0>%ProjectName%.mot</LinkOptionConvertFileName-0>
@@ -216,5 +222,5 @@
       <GeneralOptionPatch-0>None</GeneralOptionPatch-0>
       <GeneralOptionSaveAcc-0>False</GeneralOptionSaveAcc-0>
-      <LastCompilerVersion-0>V2.02.00</LastCompilerVersion-0>
+      <LastCompilerVersion-0>V2.05.00</LastCompilerVersion-0>
     </Instance>
     <Instance Guid="95a63257-4aa7-40c0-a74a-7991543b099b">
@@ -222,11 +228,12 @@
       <COptionListfile-DefaultValue>False</COptionListfile-DefaultValue>
       <COptionLogo-DefaultValue>False</COptionLogo-DefaultValue>
-      <COptionMisra2004-DefaultValue>None</COptionMisra2004-DefaultValue>
+      <COptionMisra-DefaultValue>Misra2012</COptionMisra-DefaultValue>
       <COptionOptimize-DefaultValue>Level2</COptionOptimize-DefaultValue>
       <COptionOutput-DefaultValue>Object</COptionOutput-DefaultValue>
       <COptionOutputAssembly-DefaultValue>False</COptionOutputAssembly-DefaultValue>
+      <COptionStackProtector-DefaultValue>None</COptionStackProtector-DefaultValue>
       <COptionGoptimize-DefaultValue>False</COptionGoptimize-DefaultValue>
       <COptionLangCpp-DefaultValue>Cpp</COptionLangCpp-DefaultValue>
-      <COptionMisra2004RuleFile-DefaultValue />
+      <COptionMisra2004-DefaultValue>None</COptionMisra2004-DefaultValue>
       <COptionOutputFolder-DefaultValue>%BuildModeName%</COptionOutputFolder-DefaultValue>
       <COptionOutputPreprocessed-DefaultValue>None</COptionOutputPreprocessed-DefaultValue>
@@ -235,10 +242,10 @@
       <COptionDebug-DefaultValue>True</COptionDebug-DefaultValue>
       <COptionInclude-DefaultValue />
-      <COptionMisra2004RuleNumberApply-DefaultValue />
+      <COptionMisra2004RuleFile-DefaultValue />
       <COptionPreCompileCommands-DefaultValue />
       <COptionShowConditionals-DefaultValue>False</COptionShowConditionals-DefaultValue>
       <COptionSpeedAndSize-DefaultValue>Size</COptionSpeedAndSize-DefaultValue>
       <COptionLoop-DefaultValue>Auto</COptionLoop-DefaultValue>
-      <COptionMisra2004RuleNumberIgnore-DefaultValue />
+      <COptionMisra2004RuleNumberApply-DefaultValue />
       <COptionPostCompileCommands-DefaultValue />
       <COptionSectionP-DefaultValue>P</COptionSectionP-DefaultValue>
@@ -246,5 +253,5 @@
       <COptionSystemInclude-DefaultValue />
       <COptionLoopValue-DefaultValue>2</COptionLoopValue-DefaultValue>
-      <COptionMisra2004RuleNumberRequiredAdd-DefaultValue />
+      <COptionMisra2004RuleNumberIgnore-DefaultValue />
       <COptionOtherAdditionalOptions-DefaultValue />
       <COptionPreinclude-DefaultValue />
@@ -274,33 +281,40 @@
       <COptionDefine-DefaultValue />
       <COptionInline-DefaultValue>Auto</COptionInline-DefaultValue>
+      <COptionMisra2004RuleNumberRequiredAdd-DefaultValue />
+      <COptionSectionD-DefaultValue>D</COptionSectionD-DefaultValue>
+      <COptionInlineValue-DefaultValue>100</COptionInlineValue-DefaultValue>
       <COptionMisra2004RuleNumberRequiredRemove-DefaultValue />
-      <COptionSectionD-DefaultValue>D</COptionSectionD-DefaultValue>
-      <COptionIgnoreFilesMisra-DefaultValue />
-      <COptionInlineValue-DefaultValue>100</COptionInlineValue-DefaultValue>
       <COptionSectionB-DefaultValue>B</COptionSectionB-DefaultValue>
       <COptionUndefine-DefaultValue />
-      <COptionCheckLanguageExtension-DefaultValue>False</COptionCheckLanguageExtension-DefaultValue>
       <COptionFileInline-DefaultValue />
       <COptionMessage-DefaultValue>False</COptionMessage-DefaultValue>
+      <COptionMisra2012-DefaultValue>None</COptionMisra2012-DefaultValue>
       <COptionSectionL-DefaultValue>L</COptionSectionL-DefaultValue>
       <COptionCase-DefaultValue>Auto</COptionCase-DefaultValue>
       <COptionMessage2-DefaultValue>False</COptionMessage2-DefaultValue>
+      <COptionMisra2012RuleFile-DefaultValue />
       <COptionSectionW-DefaultValue>W</COptionSectionW-DefaultValue>
+      <COptionMisra2012RuleNumberApply-DefaultValue />
       <COptionNoMessageErrorNumber-DefaultValue />
       <COptionNostuffB-DefaultValue>False</COptionNostuffB-DefaultValue>
       <COptionVolatile-DefaultValue>False</COptionVolatile-DefaultValue>
       <COptionConstCopy-DefaultValue>Auto</COptionConstCopy-DefaultValue>
+      <COptionMisra2012RuleNumberIgnore-DefaultValue />
       <COptionNoMessageErrorNumber2-DefaultValue />
       <COptionNostuffD-DefaultValue>False</COptionNostuffD-DefaultValue>
       <COptionChangeMessageInformation-DefaultValue>No</COptionChangeMessageInformation-DefaultValue>
       <COptionConstDiv-DefaultValue>Auto</COptionConstDiv-DefaultValue>
+      <COptionMisra2012RuleNumberRequiredAdd-DefaultValue />
       <COptionNostuffC-DefaultValue>False</COptionNostuffC-DefaultValue>
       <COptionChangeMessageInformationNumber-DefaultValue />
       <COptionLibrary-DefaultValue>Intrinsic</COptionLibrary-DefaultValue>
+      <COptionMisra2012RuleNumberRequiredRemove-DefaultValue />
       <COptionNostuffW-DefaultValue>False</COptionNostuffW-DefaultValue>
       <COptionChangeMessageInformationNumber2-DefaultValue />
+      <COptionIgnoreFilesMisra-DefaultValue />
       <COptionInstalign-DefaultValue>Noinstalign</COptionInstalign-DefaultValue>
       <COptionScope-DefaultValue>Auto</COptionScope-DefaultValue>
       <COptionChangeMessageWarning-DefaultValue>No</COptionChangeMessageWarning-DefaultValue>
+      <COptionCheckLanguageExtension-DefaultValue>False</COptionCheckLanguageExtension-DefaultValue>
       <COptionNouseDiv-DefaultValue>True</COptionNouseDiv-DefaultValue>
       <COptionSchedule-DefaultValue>Auto</COptionSchedule-DefaultValue>
@@ -328,11 +342,12 @@
       <COptionListfile-0>False</COptionListfile-0>
       <COptionLogo-0>False</COptionLogo-0>
-      <COptionMisra2004-0>None</COptionMisra2004-0>
+      <COptionMisra-0>Misra2012</COptionMisra-0>
       <COptionOptimize-0>Level2</COptionOptimize-0>
       <COptionOutput-0>Object</COptionOutput-0>
       <COptionOutputAssembly-0>False</COptionOutputAssembly-0>
+      <COptionStackProtector-0>None</COptionStackProtector-0>
       <COptionGoptimize-0>False</COptionGoptimize-0>
       <COptionLangCpp-0>Cpp</COptionLangCpp-0>
-      <COptionMisra2004RuleFile-0 />
+      <COptionMisra2004-0>None</COptionMisra2004-0>
       <COptionOutputFolder-0>%BuildModeName%</COptionOutputFolder-0>
       <COptionOutputPreprocessed-0>None</COptionOutputPreprocessed-0>
@@ -354,10 +369,10 @@
 ..\..\..\src\ukadecot
 </COptionInclude-0>
-      <COptionMisra2004RuleNumberApply-0 />
+      <COptionMisra2004RuleFile-0 />
       <COptionPreCompileCommands-0 />
       <COptionShowConditionals-0>False</COptionShowConditionals-0>
       <COptionSpeedAndSize-0>Size</COptionSpeedAndSize-0>
       <COptionLoop-0>Auto</COptionLoop-0>
-      <COptionMisra2004RuleNumberIgnore-0 />
+      <COptionMisra2004RuleNumberApply-0 />
       <COptionPostCompileCommands-0 />
       <COptionSectionP-0>P</COptionSectionP-0>
@@ -365,5 +380,5 @@
       <COptionSystemInclude-0 />
       <COptionLoopValue-0>2</COptionLoopValue-0>
-      <COptionMisra2004RuleNumberRequiredAdd-0 />
+      <COptionMisra2004RuleNumberIgnore-0 />
       <COptionOtherAdditionalOptions-0 />
       <COptionPreinclude-0 />
@@ -395,30 +410,37 @@
 </COptionDefine-0>
       <COptionInline-0>Auto</COptionInline-0>
+      <COptionMisra2004RuleNumberRequiredAdd-0 />
+      <COptionSectionD-0>D</COptionSectionD-0>
+      <COptionInlineValue-0>100</COptionInlineValue-0>
       <COptionMisra2004RuleNumberRequiredRemove-0 />
-      <COptionSectionD-0>D</COptionSectionD-0>
-      <COptionIgnoreFilesMisra-0 />
-      <COptionInlineValue-0>100</COptionInlineValue-0>
       <COptionSectionB-0>B</COptionSectionB-0>
       <COptionUndefine-0 />
-      <COptionCheckLanguageExtension-0>False</COptionCheckLanguageExtension-0>
       <COptionFileInline-0 />
       <COptionMessage-0>False</COptionMessage-0>
+      <COptionMisra2012-0>None</COptionMisra2012-0>
       <COptionSectionL-0>L</COptionSectionL-0>
       <COptionCase-0>Auto</COptionCase-0>
+      <COptionMisra2012RuleFile-0 />
       <COptionSectionW-0>W</COptionSectionW-0>
+      <COptionMisra2012RuleNumberApply-0 />
       <COptionNoMessageErrorNumber-0 />
       <COptionNostuffB-0>False</COptionNostuffB-0>
       <COptionVolatile-0>False</COptionVolatile-0>
       <COptionConstCopy-0>Auto</COptionConstCopy-0>
+      <COptionMisra2012RuleNumberIgnore-0 />
       <COptionNostuffD-0>False</COptionNostuffD-0>
       <COptionChangeMessageInformation-0>No</COptionChangeMessageInformation-0>
       <COptionConstDiv-0>Auto</COptionConstDiv-0>
+      <COptionMisra2012RuleNumberRequiredAdd-0 />
       <COptionNostuffC-0>False</COptionNostuffC-0>
       <COptionChangeMessageInformationNumber-0 />
       <COptionLibrary-0>Intrinsic</COptionLibrary-0>
+      <COptionMisra2012RuleNumberRequiredRemove-0 />
       <COptionNostuffW-0>False</COptionNostuffW-0>
+      <COptionIgnoreFilesMisra-0 />
       <COptionInstalign-0>Noinstalign</COptionInstalign-0>
       <COptionScope-0>Auto</COptionScope-0>
       <COptionChangeMessageWarning-0>No</COptionChangeMessageWarning-0>
+      <COptionCheckLanguageExtension-0>False</COptionCheckLanguageExtension-0>
       <COptionNouseDiv-0>True</COptionNouseDiv-0>
       <COptionSchedule-0>Auto</COptionSchedule-0>
@@ -451,4 +473,5 @@
       <AsmOptionSystemInclude-DefaultValue />
       <AsmOptionChkdsp-DefaultValue>False</AsmOptionChkdsp-DefaultValue>
+      <AsmOptionCreateUnfilledArea-DefaultValue>False</AsmOptionCreateUnfilledArea-DefaultValue>
       <AsmOptionDefine-DefaultValue />
       <AsmOptionShowDefinitions-DefaultValue>False</AsmOptionShowDefinitions-DefaultValue>
@@ -478,4 +501,5 @@
       <AsmOptionSystemInclude-0 />
       <AsmOptionChkdsp-0>False</AsmOptionChkdsp-0>
+      <AsmOptionCreateUnfilledArea-0>False</AsmOptionCreateUnfilledArea-0>
       <AsmOptionDefine-0 />
       <AsmOptionShowDefinitions-0>False</AsmOptionShowDefinitions-0>
@@ -541,27 +565,28 @@
       <LinkOptionChangeMessageWarningNumber-DefaultValue />
       <LinkOptionEntryPoint-DefaultValue />
+      <LinkOptionMsgUnused-DefaultValue>False</LinkOptionMsgUnused-DefaultValue>
       <LinkOptionMultiConvertFileName-DefaultValue />
-      <LinkOptionNoMessageErrorNumber-DefaultValue />
       <LinkOptionSymbolForbid-DefaultValue />
       <LinkOptionChangeMessageError-DefaultValue>None</LinkOptionChangeMessageError-DefaultValue>
+      <LinkOptionNoMessageErrorNumber-DefaultValue />
       <LinkOptionNoPrelink-DefaultValue>Auto</LinkOptionNoPrelink-DefaultValue>
-      <LinkOptionPadding-DefaultValue>False</LinkOptionPadding-DefaultValue>
       <LinkOptionSameCodeForbid-DefaultValue />
       <LinkOptionSpace-DefaultValue>None</LinkOptionSpace-DefaultValue>
       <LinkOptionChangeMessageErrorNumber-DefaultValue />
+      <LinkOptionPadding-DefaultValue>False</LinkOptionPadding-DefaultValue>
       <LinkOptionSectionForbid-DefaultValue />
       <LinkOptionSpaceValue-DefaultValue>FF</LinkOptionSpaceValue-DefaultValue>
-      <LinkOptionVectN-DefaultValue />
       <LinkOptionAbsoluteForbid-DefaultValue />
       <LinkOptionByteCount-DefaultValue>False</LinkOptionByteCount-DefaultValue>
       <LinkOptionHide-DefaultValue>False</LinkOptionHide-DefaultValue>
+      <LinkOptionVectN-DefaultValue />
+      <LinkOptionByteCountValue-DefaultValue>FF</LinkOptionByteCountValue-DefaultValue>
+      <LinkOptionTotalSize-DefaultValue>False</LinkOptionTotalSize-DefaultValue>
       <LinkOptionVect-DefaultValue />
-      <LinkOptionByteCountValue-DefaultValue>FF</LinkOptionByteCountValue-DefaultValue>
+      <LinkOptionCrc-DefaultValue>None</LinkOptionCrc-DefaultValue>
       <LinkOptionJumpEntriesForPic-DefaultValue>False</LinkOptionJumpEntriesForPic-DefaultValue>
-      <LinkOptionTotalSize-DefaultValue>False</LinkOptionTotalSize-DefaultValue>
-      <LinkOptionCrc-DefaultValue>None</LinkOptionCrc-DefaultValue>
-      <LinkOptionJumpEntriesForPicSectionName-DefaultValue />
       <LinkOptionLogo-DefaultValue>False</LinkOptionLogo-DefaultValue>
       <LinkOptionCrcOutputAddress-DefaultValue>0</LinkOptionCrcOutputAddress-DefaultValue>
+      <LinkOptionJumpEntriesForPicSectionName-DefaultValue />
       <LinkOptionPreLinkCommands-DefaultValue />
       <LinkOptionCrcCalculationRange-DefaultValue />
@@ -627,27 +652,28 @@
       <LinkOptionChangeMessageWarningNumber-0 />
       <LinkOptionEntryPoint-0 />
+      <LinkOptionMsgUnused-0>False</LinkOptionMsgUnused-0>
       <LinkOptionMultiConvertFileName-0 />
-      <LinkOptionNoMessageErrorNumber-0 />
       <LinkOptionSymbolForbid-0 />
       <LinkOptionChangeMessageError-0>None</LinkOptionChangeMessageError-0>
+      <LinkOptionNoMessageErrorNumber-0 />
       <LinkOptionNoPrelink-0>Auto</LinkOptionNoPrelink-0>
-      <LinkOptionPadding-0>False</LinkOptionPadding-0>
       <LinkOptionSameCodeForbid-0 />
       <LinkOptionSpace-0>None</LinkOptionSpace-0>
       <LinkOptionChangeMessageErrorNumber-0 />
+      <LinkOptionPadding-0>False</LinkOptionPadding-0>
       <LinkOptionSectionForbid-0 />
       <LinkOptionSpaceValue-0>FF</LinkOptionSpaceValue-0>
-      <LinkOptionVectN-0 />
       <LinkOptionAbsoluteForbid-0 />
       <LinkOptionByteCount-0>False</LinkOptionByteCount-0>
       <LinkOptionHide-0>False</LinkOptionHide-0>
+      <LinkOptionVectN-0 />
+      <LinkOptionByteCountValue-0>FF</LinkOptionByteCountValue-0>
+      <LinkOptionTotalSize-0>False</LinkOptionTotalSize-0>
       <LinkOptionVect-0 />
-      <LinkOptionByteCountValue-0>FF</LinkOptionByteCountValue-0>
+      <LinkOptionCrc-0>None</LinkOptionCrc-0>
       <LinkOptionJumpEntriesForPic-0>False</LinkOptionJumpEntriesForPic-0>
-      <LinkOptionTotalSize-0>False</LinkOptionTotalSize-0>
-      <LinkOptionCrc-0>None</LinkOptionCrc-0>
-      <LinkOptionJumpEntriesForPicSectionName-0 />
       <LinkOptionLogo-0>False</LinkOptionLogo-0>
       <LinkOptionCrcOutputAddress-0>0</LinkOptionCrcOutputAddress-0>
+      <LinkOptionJumpEntriesForPicSectionName-0 />
       <LinkOptionPreLinkCommands-0 />
       <LinkOptionCrcCalculationRange-0 />
@@ -669,38 +695,66 @@
       <HexOptionForm-DefaultValue>Stype</HexOptionForm-DefaultValue>
       <HexOptionOutput-DefaultValue>True</HexOptionOutput-DefaultValue>
+      <HexOptionSameLinkMessage-DefaultValue>True</HexOptionSameLinkMessage-DefaultValue>
+      <HexOptionMessage-DefaultValue>NoMessage</HexOptionMessage-DefaultValue>
+      <LinkOptionConvertFolder-DefaultValue>%BuildModeName%</LinkOptionConvertFolder-DefaultValue>
+      <LinkOptionRecordH-DefaultValue>None</LinkOptionRecordH-DefaultValue>
+      <HexOptionNoMessageNumber-DefaultValue />
+      <LinkOptionConvertFileName-DefaultValue>%ProjectName%.mot</LinkOptionConvertFileName-DefaultValue>
+      <LinkOptionRecordS-DefaultValue>None</LinkOptionRecordS-DefaultValue>
+      <HexOptionChangeMessageInformation-DefaultValue>None</HexOptionChangeMessageInformation-DefaultValue>
+      <LinkOptionMultiConvertFileName-DefaultValue />
+      <LinkOptionSpace-DefaultValue>None</LinkOptionSpace-DefaultValue>
+      <HexOptionChangeMessageInformationNumber-DefaultValue />
+      <LinkOptionSpaceValue-DefaultValue>FF</LinkOptionSpaceValue-DefaultValue>
+      <HexOptionChangeMessageWarning-DefaultValue>None</HexOptionChangeMessageWarning-DefaultValue>
+      <LinkOptionByteCount-DefaultValue>False</LinkOptionByteCount-DefaultValue>
+      <HexOptionChangeMessageWarningNumber-DefaultValue />
+      <LinkOptionByteCountValue-DefaultValue>FF</LinkOptionByteCountValue-DefaultValue>
+      <HexOptionChangeMessageError-DefaultValue>None</HexOptionChangeMessageError-DefaultValue>
+      <LinkOptionCrc-DefaultValue>None</LinkOptionCrc-DefaultValue>
+      <HexOptionChangeMessageErrorNumber-DefaultValue />
+      <LinkOptionCrc2-DefaultValue>False</LinkOptionCrc2-DefaultValue>
+      <LinkOptionCrcOutputAddress-DefaultValue>0</LinkOptionCrcOutputAddress-DefaultValue>
       <LinkOptionOtherAdditionalOptionsForConvertFile-DefaultValue />
       <HexOptionCommandLine-DefaultValue />
-      <LinkOptionConvertFolder-DefaultValue>%BuildModeName%</LinkOptionConvertFolder-DefaultValue>
-      <LinkOptionRecordH-DefaultValue>None</LinkOptionRecordH-DefaultValue>
-      <LinkOptionConvertFileName-DefaultValue>%ProjectName%.mot</LinkOptionConvertFileName-DefaultValue>
-      <LinkOptionRecordS-DefaultValue>None</LinkOptionRecordS-DefaultValue>
-      <LinkOptionMultiConvertFileName-DefaultValue />
-      <LinkOptionSpace-DefaultValue>None</LinkOptionSpace-DefaultValue>
-      <LinkOptionSpaceValue-DefaultValue>FF</LinkOptionSpaceValue-DefaultValue>
-      <LinkOptionByteCount-DefaultValue>False</LinkOptionByteCount-DefaultValue>
-      <LinkOptionByteCountValue-DefaultValue>FF</LinkOptionByteCountValue-DefaultValue>
-      <LinkOptionCrc-DefaultValue>None</LinkOptionCrc-DefaultValue>
-      <LinkOptionCrcOutputAddress-DefaultValue>0</LinkOptionCrcOutputAddress-DefaultValue>
       <LinkOptionCrcCalculationRange-DefaultValue />
+      <HexOptionCrcType-DefaultValue>Ccitt</HexOptionCrcType-DefaultValue>
+      <HexOptionCrcInitialValue-DefaultValue />
+      <HexOptionCrcEndian-DefaultValue>None</HexOptionCrcEndian-DefaultValue>
       <LinkOptionS9-DefaultValue>False</LinkOptionS9-DefaultValue>
+      <HexOptionCreateUnfilledArea-DefaultValue>False</HexOptionCreateUnfilledArea-DefaultValue>
       <IsLockedByUser>False</IsLockedByUser>
       <TimeTagModified--0>-8588053503357851523</TimeTagModified--0>
       <HexOptionForm-0>Stype</HexOptionForm-0>
       <HexOptionOutput-0>True</HexOptionOutput-0>
+      <HexOptionSameLinkMessage-0>True</HexOptionSameLinkMessage-0>
+      <HexOptionMessage-0>NoMessage</HexOptionMessage-0>
+      <LinkOptionConvertFolder-0>%BuildModeName%</LinkOptionConvertFolder-0>
+      <LinkOptionRecordH-0>None</LinkOptionRecordH-0>
+      <HexOptionNoMessageNumber-0 />
+      <LinkOptionConvertFileName-0>%ProjectName%.mot</LinkOptionConvertFileName-0>
+      <LinkOptionRecordS-0>None</LinkOptionRecordS-0>
+      <HexOptionChangeMessageInformation-0>None</HexOptionChangeMessageInformation-0>
+      <LinkOptionMultiConvertFileName-0 />
+      <LinkOptionSpace-0>None</LinkOptionSpace-0>
+      <HexOptionChangeMessageInformationNumber-0 />
+      <LinkOptionSpaceValue-0>FF</LinkOptionSpaceValue-0>
+      <HexOptionChangeMessageWarning-0>None</HexOptionChangeMessageWarning-0>
+      <LinkOptionByteCount-0>False</LinkOptionByteCount-0>
+      <HexOptionChangeMessageWarningNumber-0 />
+      <LinkOptionByteCountValue-0>FF</LinkOptionByteCountValue-0>
+      <HexOptionChangeMessageError-0>None</HexOptionChangeMessageError-0>
+      <LinkOptionCrc-0>None</LinkOptionCrc-0>
+      <HexOptionChangeMessageErrorNumber-0 />
+      <LinkOptionCrc2-0>False</LinkOptionCrc2-0>
+      <LinkOptionCrcOutputAddress-0>0</LinkOptionCrcOutputAddress-0>
       <LinkOptionOtherAdditionalOptionsForConvertFile-0 />
       <HexOptionCommandLine-0 />
-      <LinkOptionConvertFolder-0>%BuildModeName%</LinkOptionConvertFolder-0>
-      <LinkOptionRecordH-0>None</LinkOptionRecordH-0>
-      <LinkOptionConvertFileName-0>%ProjectName%.mot</LinkOptionConvertFileName-0>
-      <LinkOptionRecordS-0>None</LinkOptionRecordS-0>
-      <LinkOptionMultiConvertFileName-0 />
-      <LinkOptionSpace-0>None</LinkOptionSpace-0>
-      <LinkOptionSpaceValue-0>FF</LinkOptionSpaceValue-0>
-      <LinkOptionByteCount-0>False</LinkOptionByteCount-0>
-      <LinkOptionByteCountValue-0>FF</LinkOptionByteCountValue-0>
-      <LinkOptionCrc-0>None</LinkOptionCrc-0>
-      <LinkOptionCrcOutputAddress-0>0</LinkOptionCrcOutputAddress-0>
       <LinkOptionCrcCalculationRange-0 />
+      <HexOptionCrcType-0>Ccitt</HexOptionCrcType-0>
+      <HexOptionCrcInitialValue-0 />
+      <HexOptionCrcEndian-0>None</HexOptionCrcEndian-0>
       <LinkOptionS9-0>False</LinkOptionS9-0>
+      <HexOptionCreateUnfilledArea-0>False</HexOptionCreateUnfilledArea-0>
     </Instance>
     <Instance Guid="fff50d2e-74da-44ea-90a8-c47756029e83">
